LSBTR(1)

NAME
lsbtr - list btrfs subvolumes

SYNOPSIS

lsbtr [-h|--help] [--version]
      [-l|--long] [-u|--uuid] [-1|--single-column] [--raw]
      [--format <output-format>]
      [-v|--verbose]
      [-c|--config <file>]
      [--override <config_option>=<value>]
      [[--] <path>|<url>...]

DESCRIPTION

List btrfs subvolumes and their mount points visible by the file system below <path>.

lsbtr is part of btrbk (basically a shortcut for "btrbk ls"), and takes some global configuration options from btrbk.conf(5) if present.

lsbtr requires root privileges to run correctly. Alternatively, consider using "btrfs-progs-sudo" or "btrfs-progs-btrbk" backends, both of which allows you to run lsbtr as a regular user. Refer to configuration option backend in btrbk.conf(5) for more details.

OPTIONS

-h, --help
    Prints the synopsis and a list of the commands.

--version
    Prints the btrbk version.

-l, --long
    Print output in long table format (additionally print subvolume path).

-u, --uuid
    Print UUID table (parent/received relations).

-1, --single-column
    Print path column only (delimited by newline).

--raw
    Print space-separated key="value" pairs (machine readable).

--format table|long|raw|col:[h:]<columns>
    Print output in specified format. If set to "raw", prints space-separated key="value" pairs (machine readable).

    If set to "col:", prints only the <columns> specified (comma-separated list). Header lines are ommitted if the "h:" modifier is present. Columns prefixed with "-" are collapsed if empty. Columns postfixed with ":RALIGN" are right-aligned.

-v, --verbose
    Increase the level of verbosity.

-c, --config <file>
    Read the configuration from <file>.

--override <config_option>=<value>
    Override a configuration option <config_option> with <value>.

FILES

/etc/btrbk.conf, /etc/btrbk/btrbk.conf
    Default configuration file. The file format and configuration options are described in btrbk.conf(5).

EXIT STATUS

lsbtr returns the following error codes:

0
    No problems occurred.

1
    Generic error code.

2
    Parse error: when parsing command-line options or configuration file.

255
    Script error.

AVAILABILITY

Please refer to the btrbk project page for further details.

SEE ALSO

btrbk(1), btrbk.conf(5), btrfs(8)

AUTHOR

Axel Burri